/* Program to develop HEX/DEC/ASC conversion routines for a library
   demonstrates returning a string from a function
   demonstrates multiple references to the same char array
   demonstrates overloading function to make function parameter optional
   prints a ASII table
   prints a EEPROM dump
   This code is placed in the public domain: August 2013, Lewis Balentine, Houston, Texas, USA
*/
#include <EEPROM.h>
#include <HexDecAsc.h>


void setup ()
  { Serial.begin (9600);

//    demoRtnASCIIcode();
//    demoHexDigit();
  
//    /* --- demo/test use of formatByteAsHex --- */
//    printHexByteOne();                         // uses returned string, see examples 
//    printHexByteTwo();                         // uses passed string, see examples
    
//    printASCIItable();                         // uses nultiple references, see examples below
//    Serial.println("");
//
//    /* --- demo/test use of formatWordAsHex --- */
//    printHexWordOne();                         // uses returned string, see examples
//    printHexWordTwo();                         // uses passed string, see examples
//    Serial.println();
//    
//    /* --- demo/test use of formatWordAsDec --- */
//    printDecWordOne();                         // uses returned string, see examples
//    printDecWordTwo();                         // uses passed string, see examples
//    Serial.println();
//    
//    /* --- demo/test use of formatRamDump --- */
//    demoFormatRamDump();
//    
//    /* --- demo/test use of 'overloading' --- */
//    demoOverLoading();                         // uses returned string, see examples below 

//    /* --- print ASCII Table --- */
//      printASCIItable();
//    
//    /* --- EEPROM Dump  --- */
      EEPROMDump();

  }
 
void loop() {;} // do nothing

