/*	Program: Hello World 006 
        This program reads our Greeting strings in EEPROM.
        These values will remain when the board is turned off.   */
        
#include <EEPROM.h>
/* Addresses in EEPROM */
const word HelpStr =  00;
const word English =  52;
const word French  =  76;
const word Spanish = 100;
const word Italian = 124;
const word TheEnd  = 148;
char buffer[50]; 

void setup()
{  Serial.begin(9600);
   printmsg (HelpStr); 
   printmsg (English);
   printmsg (French);
   printmsg (Spanish);
   printmsg (Italian);
}

void loop() { } // do nothing 

void printmsg (word addrstart)
  { byte value;                   // store one byte from EEPROM
    word addr=addrstart;          // EEPROM start address
    Serial.print(addr,DEC);       // print starting address
    Serial.print(" ");            // add a space
    do{ value=EEPROM.read(addr++);
        if (value !=0) {Serial.print(char(value));} // use char() function to print ASCII charater
      } while (value != 0);
    Serial.print(" ");            // add a space  
    Serial.print(addr-1,DEC);     // print last address occupied (note we have to subtract 1)
    Serial.println("");           // print a new line
  }  
  
