/* Project to develope functions for AVR internal temperature sensor */
unsigned long Time;
float save;
void setup() 
 { Serial.begin(9600);
 }
 
void loop() {
   word raw;
   float temp;
   byte i;
   raw = avrRawTemp(512);
   temp= ((((float(raw))/4)-(273+76.4))*1.8)+32; 
   // conversion:
   // divide to scale from 1/4 degree to 1 degree
   // subtract 273 for celcius
   // subtract 73 (offset varries by board) for external temperature
   // multiply by 1.8, add 32 for degrees fahrenheit
   // --- accuracy can be increased by using two point calibration --- 
   Serial.print(raw);
   Serial.print(", ");
   Serial.print(temp);       
   Serial.print(", ");
   Serial.print(Time);                   // benchmark time
   if (raw<save) Serial.print(" <<<");   // temperature decrease
   if (raw>save) Serial.print(" >>>");   // temperature increase
   Serial.println();
   save=raw;
   // add delay
//   for (i=0; i<58; i++) 
//     {delay (1002);
//     }
}
 

