void printdhc (char c, word n)     
{ byte i,s,v;
  Serial.print (c);             
  Serial.print (": ");

  if      (n<   10) { s=4;}
  else if (n<  100) { s=3;}
  else if (n< 1000) { s=2;}
  else if (n<10000) { s=1;}
  else              { s=0;}
  i=0;
  while (i < s)
    { Serial.print (' ');
      i++;
    }
  Serial.print   (n, DEC);

  Serial.print   (", ");
  if      (n< 0x00F0) { s=3;}
  else if (n< 0x0FF0) { s=2;}
  else if (n< 0xFFF0) { s=1;}
  else                { s=0;}
  i=0;
  while (i < s)
    { Serial.print ('0');
      i++;
    }
  Serial.print   (n, HEX);

  Serial.print   (", ");
  /* the Arduino IDE/compiler has a problem with the binary format values larger than a byte 
     so we have to do this a byte at a time */
  v = highByte(n);
  if      (v< B00000010) { s=7;}
  else if (v< B00000100) { s=6;}
  else if (v< B00001000) { s=5;}
  else if (v< B00010000) { s=4;}
  else if (v< B00100000) { s=3;}
  else if (v< B01000000) { s=2;}
  else if (v< B10000000) { s=1;}
  else                   { s=0;}
  i=0;
  while (i < s)
    { Serial.print ('0');
      i++;
    }
  Serial.print (v, BIN);
  Serial.print   (" ");
  v = lowByte(n);
  if      (v< B00000010) { s=7;}
  else if (v< B00000100) { s=6;}
  else if (v< B00001000) { s=5;}
  else if (v< B00010000) { s=4;}
  else if (v< B00100000) { s=3;}
  else if (v< B01000000) { s=2;}
  else if (v< B10000000) { s=1;}
  else                   { s=0;}
  i=0;
  while (i < s)
    { Serial.print ('0');
      i++;
    }
  Serial.println (v, BIN);
}                              


