void printdhc (char c[], word n)     		// function to print value as 
  { byte s;					// Decimal, Hexidecimal and binary 
    long i;
    
    Serial.print (c);				// print incoming string
    for (i=10, s=0; i<=10000; i *= 10) 		// pad decimal value with spaces
     { if (n<i) { s++;}
     }
    i=0;
    while (i++ < s) { Serial.print (' ');}
    Serial.print (n, DEC);			// print decimal value

    Serial.print (", ");			// print seperator
    for (i=0x10, s=0; i<=0x1000; i *= 0x10) 	// pad hex value with zeroes
     { if (n<i) { s++;}
     }
    i=0;
    while (i++ < s) { Serial.print ('0');}
    Serial.print (n, HEX);			// print hex value

    Serial.print   (", ");			// print seperator
    /* the Arduino IDE/compiler has a problem with the binary format values larger than a byte 
       so we have to do this a byte at a time */
    printbin(highByte(n));			// call function to print high byte
    Serial.print (' ');				// print seperator
    printbin(lowByte(n));			// call function to print low byte
    Serial.println ();		        	// print a new line
  }

void printbin (byte v)				// functiion to pad and print one bianry byte 
  { word i;
    byte s;
    byte n; 					// used for a nibble
    n= v >> 4;					// move high nibble into low nibble position
    for (i= B10, s=0; i <= B1000; i *= B10) 	// pad binary value with zeroes
     { if (n<i) { s++;}
     }
    i=0;
    while (i++ < s) { Serial.print ('0');}
    Serial.print (n, BIN);			// print binary value

    Serial.print (' ');
    
    n= v << 4;      				// roll the high bits off to the left
    n= n >> 4;      				// move the left over bits back to the right
    for (i= B10, s=0; i <= B1000; i *= B10) 	// pad binary value with zeroes
     { if (n<i) { s++;}
     }
    i=0;
    while (i++ < s) { Serial.print ('0');}
    Serial.print (n, BIN);			// print binary value

  }         








//void printbin (byte v)				// functiion to pad and print one bianry byte 
//  { word i;
//    byte s;
//    for (i= B10, s=0; i<= B10000000; i *= B10) 	// pad binary value with zeroes
//     { if (v<i) { s++;}
//     }
//    i=0;
//    while (i++ < s) { Serial.print ('0');}
//    Serial.print (v, BIN);			// print binary value
//  }   


//  ---------------- previous version ----------------------------
// void printdhc (char c, word n)     
//  byte i,s,v;
//  Serial.print (c);             
//  // Serial.print (": ");
//
//  if      (n<   10) { s=4;}
//  else if (n<  100) { s=3;}
//  else if (n< 1000) { s=2;}
//  else if (n<10000) { s=1;}
//  else              { s=0;}
//  i=0;
//  while (i < s)
//    { Serial.print (' ');
//      i++;
//    }
//  Serial.print   (n, DEC);
//
//  Serial.print   (", ");
//  if      (n< 0x0010) { s=3;}
//  else if (n< 0x0100) { s=2;}
//  else if (n< 0x1000) { s=1;}
//  else                { s=0;}
//  i=0;
//  while (i < s)
//    { Serial.print ('0');
//      i++;
//    }
//  Serial.print   (n, HEX);
//
//  Serial.print   (", ");
//  /* the Arduino IDE/compiler has a problem with the binary format values larger than a byte 
//     so we have to do this a byte at a time */
//  v = highByte(n);
//  if      (v< B00000010) { s=7;}
//  else if (v< B00000100) { s=6;}
//  else if (v< B00001000) { s=5;}
//  else if (v< B00010000) { s=4;}
//  else if (v< B00100000) { s=3;}
//  else if (v< B01000000) { s=2;}
//  else if (v< B10000000) { s=1;}
//  else                   { s=0;}
//  i=0;
//  while (i < s)
//    { Serial.print ('0');
//      i++;
//    }
//  Serial.print (v, BIN);
//  Serial.print   (" ");
//  v = lowByte(n);
//  if      (v< B00000010) { s=7;}
//  else if (v< B00000100) { s=6;}
//  else if (v< B00001000) { s=5;}
//  else if (v< B00010000) { s=4;}
//  else if (v< B00100000) { s=3;}
//  else if (v< B01000000) { s=2;}
//  else if (v< B10000000) { s=1;}
//  else                   { s=0;}
//  i=0;
//  while (i < s)
//    { Serial.print ('0');
//      i++;
//    }
//  Serial.println (v, BIN);
// }
