/*
 * EEPROM Write
 *
 * Stores values into the EEPROM.
 * These values will stay in the EEPROM when the board is
 * turned off and may be retrieved later by another sketch.
 */

#include <EEPROM.h>

// the current address in the EEPROM 
// (i.e. which byte we're going to write to next)
int addr = 0;
// junk data just to see if this works
char mydata[27]="ABCDEFHGIJKLMNOPQRSTUVWXYZ" ;

void setup()
{
  // write the value to the appropriate byte of the EEPROM.
  // these values will remain there when the board is
  // turned off.
  for (addr=0; addr<28; addr= addr+1)
    { 
      EEPROM.write(addr, mydata[addr]);
      delay(100);
    }
}

void loop()
{
}
